Skip to main content
GET
/
api
/
v1
/
folders
List folders
curl --request GET \
  --url https://api.scholarlysoftware.com/api/v1/folders \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.scholarlysoftware.com/api/v1/folders"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.scholarlysoftware.com/api/v1/folders', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "folder",
      "attributes": {
        "created_at": "<string>",
        "updated_at": "<string>",
        "name": "Publications",
        "locked": true
      },
      "relationships": {
        "parent": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "children": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        },
        "user": {
          "links": {
            "related": "<string>"
          },
          "meta": {}
        }
      },
      "meta": {
        "children_count": 123,
        "files_count": 123
      }
    }
  ],
  "meta": {
    "page": {
      "size": 123
    },
    "total": 123
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "next": "<string>",
    "prev": "<string>",
    "last": "<string>"
  }
}
{
  "errors": [
    {
      "status": "<string>",
      "title": "<string>",
      "detail": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer token

Query Parameters

include
string

Comma-separated list of relationships to include. Allowed: parent, children, user

sort
string

Sort order. Prefix with - for descending. Allowed: created_at, updated_at, name

filter[key]
string

Filter results. Available filters: name, name.neq, name.cont (case-insensitive substring match), name.in (comma-separated list), name.nin (comma-separated list), user.

page[size]
integer

Number of items per page (max 100)

page[after]
string

Cursor for next page

page[before]
string

Cursor for previous page

Response

folders found

data
object[]
required
meta
object